<?php
include("seguranca.php"); // Inclui o arquivo com o sistema de seguran?a
protegePagina(); // Protege a página
header('Content-Type: text/html; charset=utf-8');

include("configuracao.php");//confirma no banco de dados
include("inclusos/funcoes.php");

//SCRIPT CORREÇÕES

if($_GET['Correcao'] == "TipoPagamentoLogFinanceiro"){
//PEGAR OS PAGAMENTOS

$SelecionaPagamentos = Seleciona("pagamentos", "", "");
while($pagamentos = mysql_fetch_array($SelecionaPagamentos)){
	
	$idpagamento = $pagamentos['idpagamento'];
	$tipo_pagamento = $pagamentos['tipo'];	

   
    
//ALTERA PAGAMENTOS LOG

$AlteraPagamentosLogs = Alterar("logs_financeiro", "tipo_pagamento='$tipo_pagamento'", "idpagamento", $idpagamento);

    if($AlteraPagamentosLogs){        
         echo $idpagamento . " - " . $tipo_pagamento . "<br>";
    }else{        
        echo "DEU ERRADO <br>";
    }
    $idpagamento = "";
    $tipo_pagamento = "";

}
}


//SCRIPT CORREÇÕES

if($_GET['correcao'] == "AtualizaProdutoLojaFabrica"){
//PEGAR O IDPRODUTOFABRICA E ATUALIZAR O PRODUTO LOJA

$SelecionaProdutoFabrica = Seleciona("produtos_fabrica", "", "");
while($produtos_fabrica = mysql_fetch_array($SelecionaProdutoFabrica)){
	
	$idproduto_fabrica_atual = $produtos_fabrica['idproduto_fabrica'];
	$idproduto_loja_atual = $produtos_fabrica['idproduto_loja'];	

//ALTERA PRODUTO LOJA

$AlteraProdutoLoja = Alterar("produtos_loja", "idproduto_fabrica='$idproduto_fabrica_atual'", "idproduto_loja", $idproduto_loja_atual);
	
}
}

if($_GET['correcao'] == "AtualizaProdutoQuantidade"){
//PEGAR O IDPRODUTOFABRICA E ATUALIZAR O PRODUTO LOJA

$SelecionaProdutoFabrica = Seleciona("produtos_fabrica", "", "");
while($produtos_fabrica = mysql_fetch_array($SelecionaProdutoFabrica)){
	
	$quantidade_atual = $produtos_fabrica['quantidade'];
	$idproduto_loja_atual = $produtos_fabrica['idproduto_loja'];	

//ALTERA PRODUTO LOJA

$AlteraProdutoLoja = Alterar("produtos_loja", "quantidade='$quantidade_atual'", "idproduto_loja", $idproduto_loja_atual);
	
}
}

if($_GET['correcao'] == "ExcluiVenda"){


$SelecionaContas = Seleciona("contas", "WHERE idvenda <> '0' and tipo_conta='Receber'", "");
while($contas = mysql_fetch_array($SelecionaContas)){
	
	$idvenda_atual = $contas['idvenda'];
	$idconta_atual = $contas['idconta'];
	$SelecionaVendas = Seleciona("vendas", "WHERE idvenda='$idvenda_atual'", "");
	$TotalVendas = mysql_num_rows($SelecionaVendas);
	
	if($TotalVendas > 0 ){		
		echo "Existe Venda - " . $idconta_atual . "<br>";		
	}else{
		echo "Não Existe Venda - " . $idconta_atual . "<br>";
		//$ExcluirVenda = mysql_query("DELETE FROM contas WHERE idvenda='$idvenda_atual' AND tipo_conta='Receber'") or die (mysql_error());
	}
	
}
/*
echo "<hr>";

$SelecionaContas = Seleciona("vendas_produtos", "WHERE idvenda <> '0'", "");
while($contas = mysql_fetch_array($SelecionaContas)){
	
	$idvenda_atual = $contas['idvenda'];
	$SelecionaVendas = Seleciona("vendas", "WHERE idvenda='$idvenda_atual'", "");
	$TotalVendas = mysql_num_rows($SelecionaVendas);
	
	if($TotalVendas > 0 ){		
		echo "Existe Venda - " . $idvenda_atual . "<br>";		
	}else{
		echo "Não Existe Venda - " . $idvenda_atual . "<br>";
		//$ExcluirVenda = mysql_query("DELETE FROM vendas_produtos WHERE idvenda='$idvenda_atual'") or die (mysql_error());		
	}
	
}
*/


}

if($_GET['correcao'] == "PuxarPrecoCustoVenda"){
//PEGAR O IDPRODUTOFABRICA E ATUALIZAR O PRODUTO LOJA

$SelecionaProdutoVenda = Seleciona("vendas_produtos", "", "");
while($produtos_venda = mysql_fetch_array($SelecionaProdutoVenda)){
	
	$idproduto_loja = $produtos_venda['idproduto_loja'];
	
	$SelecionaProdutoLoja = Seleciona("produtos_loja", "WHERE idproduto_loja='$idproduto_loja'", "");
while($produtos_loja = mysql_fetch_array($SelecionaProdutoLoja)){
	
	$valor_custo_loja = $produtos_loja['valor_custo'];
	
}
	

//ALTERA PRODUTO LOJA

$AlteraProdutoLoja = Alterar("vendas_produtos", "valor_custo='$valor_custo_loja'", "idproduto_loja", $idproduto_loja);
	
}
}




if($_GET['Logs_MateriaBruta'] == "sim"){

//MATERIA BRUTA
	
//MOVIMENTAÇÕES

$SelecionaIdBruta = Seleciona("movimentos_produtos", "WHERE idmateriabruta <> '0'", "GROUP BY idmateriabruta ORDER BY idmateriabruta ASC");
while($materiabruta = mysql_fetch_array($SelecionaIdBruta)){

$idmateriabruta = $materiabruta['idmateriabruta'];

$SelecionaMovimentacao = Seleciona("movimentos_produtos", "WHERE idmateriabruta='$idmateriabruta'", "");
while($movimento = mysql_fetch_array($SelecionaMovimentacao)){

	echo $movimento['idmateriabruta'] . " - Data: " . 	$movimento['data']. " - Qtde: " . 	$movimento['quantidade'] . " - Colaborador: " . 	$movimento['nome_colaborador'] . "<br>";

//GRAVO LOG

$tipo = "Entrada";
$titulo_log = "Movimentacao de Materia Bruta - ID: " . $movimento['idmovimento'];
$origem = "MOVIMENTACAO";
$data = $movimento['data'];
$quantidade = $movimento['quantidade'];
$colaborador = $movimento['nome_colaborador'];

//SALVO LOG
$SalvarLog = Salvar("logs_produtos", "tipo, idmateriabruta, titulo_log, origem, data, quantidade, colaborador", "'$tipo', '$idmateriabruta', '$titulo_log', '$origem', '$data', '$quantidade', '$colaborador'");

$tipo = "";
$titulo_log = "";
$origem = "";
$data = "";
$quantidade = "";
$colaborador = "";
}
$idmateriabruta = "";
}
	
}



if($_GET['Logs_ProdutoFabrica'] == "sim"){

//MATERIA BRUTA
	
//MOVIMENTAÇÕES

$SelecionaIdFabrica = Seleciona("movimentos_produtos", "WHERE idproduto_fabrica <> '0'", "GROUP BY idproduto_fabrica ORDER BY idproduto_fabrica ASC");
while($fabrica = mysql_fetch_array($SelecionaIdFabrica)){

$idproduto_fabrica = $fabrica['idproduto_fabrica'];

//PEGAR ID PRODUTO LOJA
$SelecionaProdutoLoja = Seleciona("produtos_fabrica", "WHERE idproduto_fabrica='$idproduto_fabrica'", "LIMIT 0,1");
while($loja = mysql_fetch_array($SelecionaProdutoLoja)){
	
	$idproduto_loja = $loja['idproduto_loja'];

}

$SelecionaMovimentacao = Seleciona("movimentos_produtos", "WHERE idproduto_fabrica='$idproduto_fabrica'", "");
while($movimento = mysql_fetch_array($SelecionaMovimentacao)){

	echo $movimento['idproduto_fabrica'] . " - IdProdu Loja: " . 	$idproduto_loja. " - Data: " . 	$movimento['data']. " - Qtde: " . 	$movimento['quantidade'] . " - Colaborador: " . 	$movimento['nome_colaborador'] . "<br>";

//GRAVO LOG

$tipo = "Entrada";
$titulo_log = "Movimentacao de Produto Fabrica - ID: " . $movimento['idmovimento'];
$origem = "MOVIMENTACAO";
$data = $movimento['data'];
$quantidade = $movimento['quantidade'];
$colaborador = $movimento['nome_colaborador'];

//SALVO LOG

$SalvarLog = Salvar("logs_produtos", "tipo, idproduto_fabrica, idproduto_loja, titulo_log, origem, data, quantidade, colaborador", "'$tipo', '$idproduto_fabrica', '$idproduto_loja', '$titulo_log', '$origem', '$data', '$quantidade', '$colaborador'");

$tipo = "";
$titulo_log = "";
$origem = "";
$data = "";
$quantidade = "";
$colaborador = "";
}
$idproduto_loja = "";
$idproduto_fabrica = "";
}
	
}

if($_GET['Logs_ProdutoVenda'] == "sim"){

//MATERIA BRUTA
	
//MOVIMENTAÇÕES

$SelecionaIdVenda = Seleciona("vendas_produtos", "WHERE idproduto_loja <> '0'", "GROUP BY idproduto_loja ORDER BY idproduto_loja ASC");
while($loja = mysql_fetch_array($SelecionaIdVenda)){

$idproduto_loja = $loja['idproduto_loja'];


$SelecionaProdVendas = Seleciona("vendas_produtos", "WHERE idproduto_loja='$idproduto_loja'", "");
while($movimento = mysql_fetch_array($SelecionaProdVendas)){
$idvenda = $movimento['idvenda'];

$SelecionaVenda = Seleciona("vendas", "WHERE idvenda='$idvenda'", "LIMIT 0,1");
while($venda = mysql_fetch_array($SelecionaVenda)){
	$data = $venda['datavenda'];
	$vendedor = $venda['vendedor'];	
	$cliente = $venda['nome'];	
	
}

	echo "IdVenda : " . 	$idvenda. "IdProdu Loja: " . 	$idproduto_loja. " - Data: " . 	$data. " - Qtde: " . 	$movimento['quantidade'] . " - Colaborador: " . 	$vendedor . "<br>";

//GRAVO LOG

$tipo = "Saida";
$titulo_log = "Venda - Cod: " . $idvenda;
$origem = "VENDA";
$quantidade = $movimento['quantidade'];
$colaborador = $vendedor;
$valor_venda = $movimento['valor_unitario'];

//SALVO LOG

$SalvarLog = Salvar("logs_produtos", "tipo, idproduto_loja, titulo_log, origem, data, quantidade, colaborador, valor_venda, cliente", "'$tipo', '$idproduto_loja', '$titulo_log', '$origem', '$data', '$quantidade', '$colaborador', '$valor_venda', '$cliente'");

$idvenda = "";
$data = "";
$vendedor = "";	
$cliente = "";	

$tipo = "";
$titulo_log = "";
$origem = "";
$data = "";
$quantidade = "";
$colaborador = "";
}
$idproduto_loja = "";
$idproduto_fabrica = "";
}
	
}


//AJUSTAR LOGS MOVIMENTOS


if($_GET['Ajuste'] == "Movimentos"){
$SelecionaProdutos = Seleciona("movimentos_produtos", "", "");
while($produtos = mysql_fetch_array($SelecionaProdutos)){  

$idmovimento_base = $produtos['idmovimento_base'];
$idmateriabruta = $produtos['idmateriabruta'];
$idproduto_fabrica = $produtos['idproduto_fabrica'];

//SELECIONA PRODUTO LOJA


if($idproduto_fabrica != "" or $idproduto_fabrica != 0){

$SelecionaProdutosLoja = Seleciona("produtos_loja", "WHERE idproduto_fabrica='$idproduto_fabrica'", "");
while($produtos_loja = mysql_fetch_array($SelecionaProdutosLoja)){  
	$idproduto_loja_atual = $produtos_loja['idproduto_loja'];
}

}


$tipo = "Entrada";
if($idmateriabruta == 0){ 
$titulo_log = "Movimentacao de Produto Fabrica - ID: " . $idmovimento_base;
}else{
$titulo_log = "Movimentacao de Materia Bruta - ID: " . $idmovimento_base;
}


$origem = "MOVIMENTACAO";
$data = $produtos['data'];
$quantidade_realizado = $produtos['quantidade'];
$colaborador = $produtos['nome_colaborador'];

$SalvarLog = Salvar("logs_produtos", "tipo, idmateriabruta, idproduto_fabrica, idproduto_loja, titulo_log, origem, data, quantidade, colaborador, idmovimento_base", "'$tipo', '$idmateriabruta', '$idproduto_fabrica', '$idproduto_loja_atual', '$titulo_log', '$origem', '$data', '$quantidade_realizado', '$colaborador', '$idmovimento_base'");

$idmovimento_base = "";
$idmateriabruta = "";
$idproduto_fabrica = "";
$idproduto_loja_atual = "";

$origem = "";
$data = "";
$quantidade_realizado = "";
$colaborador = "";

}
}


if($_GET['Ajuste'] == "DataVenda"){
$SelecionaProdutos = Seleciona("logs_produtos", "WHERE tipo='Saida'", "");
while($produtos = mysql_fetch_array($SelecionaProdutos)){  

$idlog_produto = $produtos['idlog_produto'];

$idvenda = preg_replace("/[^0-9]/", "", $produtos['titulo_log']);						
//PEGA NOME CLIENTE
$SelecionaVenda = Seleciona("vendas", "WHERE idvenda='$idvenda'", "LIMIT 0,1");
while($venda = mysql_fetch_array($SelecionaVenda)){
	$DataVenda = $venda['datavenda'];	
}

echo $DataVenda . "<br>";

$AlteraLog = Alterar("logs_produtos", "data='$DataVenda', idvenda='$idvenda'", "idlog_produto", $idlog_produto);

}

}

//ARRUA DATA VENDA
if($_GET['Correcao'] == "DataVenda"){
	$ArrumaDataVenda = Seleciona("orcamentos", "", "");
	while($vendas = mysql_fetch_array($ArrumaDataVenda)){
		$DataVenda = $vendas['datavenda'];
		$IdVenda = $vendas['idorcamento'];
		
		//ALTERA VENDA PRODUTO
		$AlterarProduto = Alterar("vendas_produtos", "datavenda='$DataVenda'", "idorcamento", $IdVenda);

		$DataVenda = "";
		$IdVenda = "";		
			
	}
}


//CORIGE VALOR VENDA E CONTA

if($_GET['Correcao'] == 'ValorVendaConta'){

	$SelecionaVenda = Seleciona("vendas", "WHERE idconta_gerada is not null", "ORDER BY idvenda DESC");
	while($venda = mysql_fetch_array($SelecionaVenda)){
	
	$SelecionaValorConta = Seleciona("contas", "WHERE idconta='".$venda['idconta_gerada']."'", "LIMIT 0,1");
	while($conta = mysql_fetch_array($SelecionaValorConta)){
		$ValorConta = $conta['valor_conta'];	
	}
	
	if($venda['valortotal'] != $ValorConta){
	
	echo "<span style='color: red'>";
	echo $venda['idvenda'] . " - "  . $venda['idconta_gerada'] . " - " . $venda['valortotal'] . " - " . $ValorConta . "<br>";	
	echo "</span>";
	
	}else{
		echo $venda['idconta_gerada'] . " - " . $venda['valortotal'] . " - " . $ValorConta . "<br>";			
		
	}
	$ValorConta = "";
	
	}
	
}

//ARRUMA DATA VENDA PRODUTO

if($_GET['ArrumaData'] == "Sim"){

$SelecionaVenda = Seleciona("vendas", "", "");
while($venda = mysql_fetch_array($SelecionaVenda)){
	
	$idvenda_atual = $venda['idvenda'];
	$DataVenda = $venda['datavenda'];
	
	//ALTERA PRODUTOS VENDA
	
	$Altera = Alterar("vendas_produtos", "datavenda='$DataVenda'", "idvenda", $idvenda_atual);
	
	$idvenda_atual = "";
	$DataVenda = "";	
		
}
	
}

//AJUSTAR LOGS PRODUTOS COMPRA LOJA

if($_GET['Logs_MateriaBruta'] == "sim"){

//MATERIA BRUTA
	
//MOVIMENTAÇÕES

$SelecionaIdBruta = Seleciona("movimentos_produtos", "WHERE idmateriabruta <> '0'", "GROUP BY idmateriabruta ORDER BY idmateriabruta ASC");
while($materiabruta = mysql_fetch_array($SelecionaIdBruta)){

$idmateriabruta = $materiabruta['idmateriabruta'];

$SelecionaMovimentacao = Seleciona("movimentos_produtos", "WHERE idmateriabruta='$idmateriabruta'", "");
while($movimento = mysql_fetch_array($SelecionaMovimentacao)){

	echo $movimento['idmateriabruta'] . " - Data: " . 	$movimento['data']. " - Qtde: " . 	$movimento['quantidade'] . " - Colaborador: " . 	$movimento['nome_colaborador'] . "<br>";

//GRAVO LOG

$tipo = "Entrada";
$titulo_log = "Movimentacao de Materia Bruta - ID: " . $movimento['idmovimento'];
$origem = "MOVIMENTACAO";
$data = $movimento['data'];
$quantidade = $movimento['quantidade'];
$colaborador = $movimento['nome_colaborador'];

//SALVO LOG
$SalvarLog = Salvar("logs_produtos", "tipo, idmateriabruta, titulo_log, origem, data, quantidade, colaborador", "'$tipo', '$idmateriabruta', '$titulo_log', '$origem', '$data', '$quantidade', '$colaborador'");

$tipo = "";
$titulo_log = "";
$origem = "";
$data = "";
$quantidade = "";
$colaborador = "";
}
$idmateriabruta = "";
}
	
}

//SCRIPT CORREÇÕES

if($_GET['correcao'] == "AtualizaProdutoLojaFabrica"){
//PEGAR O IDPRODUTOFABRICA E ATUALIZAR O PRODUTO LOJA

$SelecionaProdutoFabrica = Seleciona("produtos_fabrica", "", "");
while($produtos_fabrica = mysql_fetch_array($SelecionaProdutoFabrica)){
	
	$idproduto_fabrica_atual = $produtos_fabrica['idproduto_fabrica'];
	$idproduto_loja_atual = $produtos_fabrica['idproduto_loja'];	

//ALTERA PRODUTO LOJA

$AlteraProdutoLoja = Alterar("produtos_loja", "idproduto_fabrica='$idproduto_fabrica_atual'", "idproduto_loja", $idproduto_loja_atual);
	
}
}

if($_GET['correcao'] == "AtualizaProdutoQuantidade"){
//PEGAR O IDPRODUTOFABRICA E ATUALIZAR O PRODUTO LOJA

$SelecionaProdutoFabrica = Seleciona("produtos_fabrica", "", "");
while($produtos_fabrica = mysql_fetch_array($SelecionaProdutoFabrica)){
	
	$quantidade_atual = $produtos_fabrica['quantidade'];
	$idproduto_loja_atual = $produtos_fabrica['idproduto_loja'];	

//ALTERA PRODUTO LOJA

$AlteraProdutoLoja = Alterar("produtos_loja", "quantidade='$quantidade_atual'", "idproduto_loja", $idproduto_loja_atual);
	
}
}

if($_GET['correcao'] == "ExcluiVenda"){


$SelecionaContas = Seleciona("contas", "WHERE idvenda <> '0' and tipo_conta='Receber'", "");
while($contas = mysql_fetch_array($SelecionaContas)){
	
	$idvenda_atual = $contas['idvenda'];
	$idconta_atual = $contas['idconta'];
	$SelecionaVendas = Seleciona("vendas", "WHERE idvenda='$idvenda_atual'", "");
	$TotalVendas = mysql_num_rows($SelecionaVendas);
	
	if($TotalVendas > 0 ){		
		echo "Existe Venda - " . $idconta_atual . "<br>";		
	}else{
		echo "Não Existe Venda - " . $idconta_atual . "<br>";
		//$ExcluirVenda = mysql_query("DELETE FROM contas WHERE idvenda='$idvenda_atual' AND tipo_conta='Receber'") or die (mysql_error());
	}
	
}
/*
echo "<hr>";

$SelecionaContas = Seleciona("vendas_produtos", "WHERE idvenda <> '0'", "");
while($contas = mysql_fetch_array($SelecionaContas)){
	
	$idvenda_atual = $contas['idvenda'];
	$SelecionaVendas = Seleciona("vendas", "WHERE idvenda='$idvenda_atual'", "");
	$TotalVendas = mysql_num_rows($SelecionaVendas);
	
	if($TotalVendas > 0 ){		
		echo "Existe Venda - " . $idvenda_atual . "<br>";		
	}else{
		echo "Não Existe Venda - " . $idvenda_atual . "<br>";
		//$ExcluirVenda = mysql_query("DELETE FROM vendas_produtos WHERE idvenda='$idvenda_atual'") or die (mysql_error());		
	}
	
}
*/


}

if($_GET['correcao'] == "PuxarPrecoCustoVenda"){
//PEGAR O IDPRODUTOFABRICA E ATUALIZAR O PRODUTO LOJA

$SelecionaProdutoVenda = Seleciona("vendas_produtos", "", "");
while($produtos_venda = mysql_fetch_array($SelecionaProdutoVenda)){
	
	$idproduto_loja = $produtos_venda['idproduto_loja'];
	
	$SelecionaProdutoLoja = Seleciona("produtos_loja", "WHERE idproduto_loja='$idproduto_loja'", "");
while($produtos_loja = mysql_fetch_array($SelecionaProdutoLoja)){
	
	$valor_custo_loja = $produtos_loja['valor_custo'];
	
}
	

//ALTERA PRODUTO LOJA

$AlteraProdutoLoja = Alterar("vendas_produtos", "valor_custo='$valor_custo_loja'", "idproduto_loja", $idproduto_loja);
	
}
}

//SCRIPT CORREÇÕES

if($_GET['correcao'] == "AtualizaProdutoLojaFabrica"){
//PEGAR O IDPRODUTOFABRICA E ATUALIZAR O PRODUTO LOJA

$SelecionaProdutoFabrica = Seleciona("produtos_fabrica", "", "");
while($produtos_fabrica = mysql_fetch_array($SelecionaProdutoFabrica)){
	
	$idproduto_fabrica_atual = $produtos_fabrica['idproduto_fabrica'];
	$idproduto_loja_atual = $produtos_fabrica['idproduto_loja'];	

//ALTERA PRODUTO LOJA

$AlteraProdutoLoja = Alterar("produtos_loja", "idproduto_fabrica='$idproduto_fabrica_atual'", "idproduto_loja", $idproduto_loja_atual);
	
}
}

if($_GET['correcao'] == "AtualizaProdutoQuantidade"){
//PEGAR O IDPRODUTOFABRICA E ATUALIZAR O PRODUTO LOJA

$SelecionaProdutoFabrica = Seleciona("produtos_fabrica", "", "");
while($produtos_fabrica = mysql_fetch_array($SelecionaProdutoFabrica)){
	
	$quantidade_atual = $produtos_fabrica['quantidade'];
	$idproduto_loja_atual = $produtos_fabrica['idproduto_loja'];	

//ALTERA PRODUTO LOJA

$AlteraProdutoLoja = Alterar("produtos_loja", "quantidade='$quantidade_atual'", "idproduto_loja", $idproduto_loja_atual);
	
}
}

if($_GET['correcao'] == "ExcluiVenda"){


$SelecionaContas = Seleciona("contas", "WHERE idvenda <> '0' and tipo_conta='Receber'", "");
while($contas = mysql_fetch_array($SelecionaContas)){
	
	$idvenda_atual = $contas['idvenda'];
	$idconta_atual = $contas['idconta'];
	$SelecionaVendas = Seleciona("vendas", "WHERE idvenda='$idvenda_atual'", "");
	$TotalVendas = mysql_num_rows($SelecionaVendas);
	
	if($TotalVendas > 0 ){		
		echo "Existe Venda - " . $idconta_atual . "<br>";		
	}else{
		echo "Não Existe Venda - " . $idconta_atual . "<br>";
		//$ExcluirVenda = mysql_query("DELETE FROM contas WHERE idvenda='$idvenda_atual' AND tipo_conta='Receber'") or die (mysql_error());
	}
	
}
/*
echo "<hr>";

$SelecionaContas = Seleciona("vendas_produtos", "WHERE idvenda <> '0'", "");
while($contas = mysql_fetch_array($SelecionaContas)){
	
	$idvenda_atual = $contas['idvenda'];
	$SelecionaVendas = Seleciona("vendas", "WHERE idvenda='$idvenda_atual'", "");
	$TotalVendas = mysql_num_rows($SelecionaVendas);
	
	if($TotalVendas > 0 ){		
		echo "Existe Venda - " . $idvenda_atual . "<br>";		
	}else{
		echo "Não Existe Venda - " . $idvenda_atual . "<br>";
		//$ExcluirVenda = mysql_query("DELETE FROM vendas_produtos WHERE idvenda='$idvenda_atual'") or die (mysql_error());		
	}
	
}
*/


}

if($_GET['correcao'] == "PuxarPrecoCustoVenda"){
//PEGAR O IDPRODUTOFABRICA E ATUALIZAR O PRODUTO LOJA

$SelecionaProdutoVenda = Seleciona("vendas_produtos", "", "");
while($produtos_venda = mysql_fetch_array($SelecionaProdutoVenda)){
	
	$idproduto_loja = $produtos_venda['idproduto_loja'];
	
	$SelecionaProdutoLoja = Seleciona("produtos_loja", "WHERE idproduto_loja='$idproduto_loja'", "");
while($produtos_loja = mysql_fetch_array($SelecionaProdutoLoja)){
	
	$valor_custo_loja = $produtos_loja['valor_custo'];
	
}
	

//ALTERA PRODUTO LOJA

$AlteraProdutoLoja = Alterar("vendas_produtos", "valor_custo='$valor_custo_loja'", "idproduto_loja", $idproduto_loja);
	
}
}


?>